# Route 53 DNS 할당

Amazon EC2 인스턴스 IP 주소 지정

> <https://docs.aws.amazon.com/ko_kr/AWSEC2/latest/UserGuide/using-instance-addressing.html>

AWS EC2 인스턴스에 Route 53 DNS를 할당하여, 자동으로 할당된 DNS보다 우선 사용되도록 설정할 수 있습니다. 아래 절차에 따라 진행합니다.

1. DHCP 옵션 세트 생성
2. DHCP 옵션 세트 연결
3. 인스턴스 연결

***

### 1. DHCP 옵션 세트 생성 <a href="#id-1" id="id-1"></a>

* 사용할 DNS를 할당하여 새 DHCP 옵션 세트를 생성합니다.

> <https://docs.aws.amazon.com/ko_kr/vpc/latest/userguide/VPC_DHCP_Options.html>

### 2. DHCP 옵션 세트 연결 <a href="#id-2" id="id-2"></a>

* 새로운 VPC를 생성하거나, 기존 VPC에 생성한 DHCP 옵션 세트를 연결합니다.

> <https://docs.aws.amazon.com/ko_kr/vpc/latest/userguide/vpc-dns.html>

### 3. 인스턴스 연결 <a href="#id-3" id="id-3"></a>

* 위에서 설정한 VPC를 EC2 인스턴스에 연결합니다.

> <https://aws.amazon.com/ko/premiumsupport/knowledge-center/connect-vpc/>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.plura.io/ja/v6/iaas/aws/route53.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
